NX Open C++ Reference Guide
|
Represents a GeometricUtilities::CurveShapingBuilder . More...
Public Types | |
enum | InsertionMethodOptions { InsertionMethodOptionsUniform, InsertionMethodOptionsThroughPoints, InsertionMethodOptionsBetweenPoints } |
Point insertion option. More... | |
enum | MovementMethodType { MovementMethodTypeWCS, MovementMethodTypeView, MovementMethodTypeVector, MovementMethodTypePlane, MovementMethodTypeNormal } |
Curve parameter points movement types. More... | |
enum | WCSOptionType { WCSOptionTypeX, WCSOptionTypeY, WCSOptionTypeZ, WCSOptionTypeYZ, WCSOptionTypeXZ, WCSOptionTypeXY } |
WCS principal axis or plane types. More... | |
Public Member Functions | |
void | AddCurve (NXOpen::Curve *curve) |
Adds a curve for shaping Created in NX7.5.0. | |
void | ApplyParameterValue (NXOpen::Point *sourcePoint, const std::vector< NXOpen::Point * > &destinationPoints) |
Applies parameter value from a key point to a group of key points without affecting curve shape Created in NX7.5.0. | |
bool | CanMoveAlongCurve () |
Returns the value indicating if point should be moved along curve. | |
NXOpen::Features::GeometricConstraintDataManager * | ConstraintManager () |
Returns the constraint manager. | |
void | Deform () |
Deforms curves based on active points Created in NX7.5.0. | |
void | DeleteAllPoints (NXOpen::Spline *curve) |
Deletes all points on a curve. | |
NXOpen::GeometricUtilities::Continuity::ContinuityTypes | EndContinuity () |
Returns the continuity at end of the curve Created in NX7.5.0. | |
bool | HasLinearTransition () |
Returns the value indicating if transition type is linear Created in NX7.5.0. | |
NXOpen::GeometricUtilities::CurveShapingBuilder::InsertionMethodOptions | InsertionMethod () |
Returns the point insertion method Created in NX7.5.0. | |
NXOpen::GeometricUtilities::CurveShapingBuilder::MovementMethodType | MovementMethod () |
Returns the movement method Created in NX7.5.0. | |
NXOpen::Plane * | MovementPlane () |
Returns the movement plane Created in NX7.5.0. | |
NXOpen::Direction * | MovementVector () |
Returns the movement vector Created in NX7.5.0. | |
int | Number () |
Returns the number of points to be inserted Created in NX7.5.0. | |
NXOpen::GeometricUtilities::OrientXpressBuilder * | OrientExpress () |
Returns the orient express object Created in NX7.5.0. | |
void | RemoveCurve (NXOpen::Curve *curve) |
Removes a curve Created in NX7.5.0. | |
NXOpen::SelectSplineList * | SelectCurves () |
Returns the curve selection for point insertion Created in NX7.5.0. | |
void | SetActivePoints (const std::vector< NXOpen::Point * > &points, NXOpen::Point *masterPoint) |
Sets key points that are selected or will be moved Created in NX7.5.0. | |
void | SetCanMoveAlongCurve (bool canMoveAlongCurve) |
Sets the value indicating if point should be moved along curve. | |
void | SetEndContinuity (NXOpen::GeometricUtilities::Continuity::ContinuityTypes endContinuity) |
Sets the continuity at end of the curve Created in NX7.5.0. | |
void | SetHasLinearTransition (bool hasLinear) |
Sets the value indicating if transition type is linear Created in NX7.5.0. | |
void | SetInsertionMethod (NXOpen::GeometricUtilities::CurveShapingBuilder::InsertionMethodOptions insertionMethod) |
Sets the point insertion method Created in NX7.5.0. | |
void | SetMovementMethod (NXOpen::GeometricUtilities::CurveShapingBuilder::MovementMethodType movementMethod) |
Sets the movement method Created in NX7.5.0. | |
void | SetMovementPlane (NXOpen::Plane *movementPlane) |
Sets the movement plane Created in NX7.5.0. | |
void | SetMovementVector (NXOpen::Direction *movementVector) |
Sets the movement vector Created in NX7.5.0. | |
void | SetNumber (int number) |
Sets the number of points to be inserted Created in NX7.5.0. | |
void | SetStartContinuity (NXOpen::GeometricUtilities::Continuity::ContinuityTypes startContinuity) |
Sets the continuity at start of the curve Created in NX7.5.0. | |
void | SetWCSOption (NXOpen::GeometricUtilities::CurveShapingBuilder::WCSOptionType wcsOption) |
Sets the WCS option Created in NX7.5.0. | |
NXOpen::SelectPointList * | SpecifyPoints () |
Returns the specified points to define insertion point locations Created in NX7.5.0. | |
NXOpen::GeometricUtilities::Continuity::ContinuityTypes | StartContinuity () |
Returns the continuity at start of the curve Created in NX7.5.0. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
NXOpen::GeometricUtilities::CurveShapingBuilder::WCSOptionType | WCSOption () |
Returns the WCS option Created in NX7.5.0. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a GeometricUtilities::CurveShapingBuilder .
This class allows shaping of curves by identifying key points on them and modifying the location of those points. It also allows constraining curve ends.
Created in NX7.5.0.
Point insertion option.
Curve parameter points movement types.
MovementMethodTypeWCS |
Movement along WCS principal axis or plane. |
MovementMethodTypeView |
Movement in view plane. |
MovementMethodTypeVector |
Movement along arbitrary direction. |
MovementMethodTypePlane |
Movement in arbitrary plane. |
MovementMethodTypeNormal |
Movement along a face normal. |
WCS principal axis or plane types.
void NXOpen::GeometricUtilities::CurveShapingBuilder::AddCurve | ( | NXOpen::Curve * | curve | ) |
Adds a curve for shaping
Created in NX7.5.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
curve | Curve to be deformed |
void NXOpen::GeometricUtilities::CurveShapingBuilder::ApplyParameterValue | ( | NXOpen::Point * | sourcePoint, |
const std::vector< NXOpen::Point * > & | destinationPoints | ||
) |
Applies parameter value from a key point to a group of key points without affecting curve shape
Created in NX7.5.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
sourcePoint | Point whose parameter value to be applied |
destinationPoints | Points to be edited |
bool NXOpen::GeometricUtilities::CurveShapingBuilder::CanMoveAlongCurve | ( | ) |
Returns the value indicating if point should be moved along curve.
A key point is moved along the curve in order to change its parametric location without affecting curve shape.
Created in NX7.5.0.
License requirements : None
NXOpen::Features::GeometricConstraintDataManager* NXOpen::GeometricUtilities::CurveShapingBuilder::ConstraintManager | ( | ) |
Returns the constraint manager.
Allows definition of key points to be used to shape the curve.
Created in NX7.5.0.
License requirements : None
void NXOpen::GeometricUtilities::CurveShapingBuilder::Deform | ( | ) |
Deforms curves based on active points
Created in NX7.5.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
void NXOpen::GeometricUtilities::CurveShapingBuilder::DeleteAllPoints | ( | NXOpen::Spline * | curve | ) |
Deletes all points on a curve.
If no curve is specified, deletes all points on all curves.
Created in NX7.5.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
curve | Curve |
NXOpen::GeometricUtilities::Continuity::ContinuityTypes NXOpen::GeometricUtilities::CurveShapingBuilder::EndContinuity | ( | ) |
Returns the continuity at end of the curve
Created in NX7.5.0.
License requirements : None
bool NXOpen::GeometricUtilities::CurveShapingBuilder::HasLinearTransition | ( | ) |
Returns the value indicating if transition type is linear
Created in NX7.5.0.
License requirements : None
NXOpen::GeometricUtilities::CurveShapingBuilder::InsertionMethodOptions NXOpen::GeometricUtilities::CurveShapingBuilder::InsertionMethod | ( | ) |
Returns the point insertion method
Created in NX7.5.0.
License requirements : None
NXOpen::GeometricUtilities::CurveShapingBuilder::MovementMethodType NXOpen::GeometricUtilities::CurveShapingBuilder::MovementMethod | ( | ) |
Returns the movement method
Created in NX7.5.0.
License requirements : None
NXOpen::Plane* NXOpen::GeometricUtilities::CurveShapingBuilder::MovementPlane | ( | ) |
Returns the movement plane
Created in NX7.5.0.
License requirements : None
NXOpen::Direction* NXOpen::GeometricUtilities::CurveShapingBuilder::MovementVector | ( | ) |
Returns the movement vector
Created in NX7.5.0.
License requirements : None
int NXOpen::GeometricUtilities::CurveShapingBuilder::Number | ( | ) |
Returns the number of points to be inserted
Created in NX7.5.0.
License requirements : None
NXOpen::GeometricUtilities::OrientXpressBuilder* NXOpen::GeometricUtilities::CurveShapingBuilder::OrientExpress | ( | ) |
Returns the orient express object
Created in NX7.5.0.
License requirements : None
void NXOpen::GeometricUtilities::CurveShapingBuilder::RemoveCurve | ( | NXOpen::Curve * | curve | ) |
Removes a curve
Created in NX7.5.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
curve | Curve to be deleted |
NXOpen::SelectSplineList* NXOpen::GeometricUtilities::CurveShapingBuilder::SelectCurves | ( | ) |
Returns the curve selection for point insertion
Created in NX7.5.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
void NXOpen::GeometricUtilities::CurveShapingBuilder::SetActivePoints | ( | const std::vector< NXOpen::Point * > & | points, |
NXOpen::Point * | masterPoint | ||
) |
Sets key points that are selected or will be moved
Created in NX7.5.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
points | Key points |
masterPoint | Point which user actually moves to move a group of selected points |
void NXOpen::GeometricUtilities::CurveShapingBuilder::SetCanMoveAlongCurve | ( | bool | canMoveAlongCurve | ) |
Sets the value indicating if point should be moved along curve.
A key point is moved along the curve in order to change its parametric location without affecting curve shape.
Created in NX7.5.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
canMoveAlongCurve | canmovealongcurve |
void NXOpen::GeometricUtilities::CurveShapingBuilder::SetEndContinuity | ( | NXOpen::GeometricUtilities::Continuity::ContinuityTypes | endContinuity | ) |
Sets the continuity at end of the curve
Created in NX7.5.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
endContinuity | endcontinuity |
void NXOpen::GeometricUtilities::CurveShapingBuilder::SetHasLinearTransition | ( | bool | hasLinear | ) |
Sets the value indicating if transition type is linear
Created in NX7.5.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
hasLinear | haslinear |
void NXOpen::GeometricUtilities::CurveShapingBuilder::SetInsertionMethod | ( | NXOpen::GeometricUtilities::CurveShapingBuilder::InsertionMethodOptions | insertionMethod | ) |
Sets the point insertion method
Created in NX7.5.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
insertionMethod | insertionmethod |
void NXOpen::GeometricUtilities::CurveShapingBuilder::SetMovementMethod | ( | NXOpen::GeometricUtilities::CurveShapingBuilder::MovementMethodType | movementMethod | ) |
Sets the movement method
Created in NX7.5.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
movementMethod | movementmethod |
void NXOpen::GeometricUtilities::CurveShapingBuilder::SetMovementPlane | ( | NXOpen::Plane * | movementPlane | ) |
Sets the movement plane
Created in NX7.5.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
movementPlane | movementplane |
void NXOpen::GeometricUtilities::CurveShapingBuilder::SetMovementVector | ( | NXOpen::Direction * | movementVector | ) |
Sets the movement vector
Created in NX7.5.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
movementVector | movementvector |
void NXOpen::GeometricUtilities::CurveShapingBuilder::SetNumber | ( | int | number | ) |
Sets the number of points to be inserted
Created in NX7.5.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
number | number |
void NXOpen::GeometricUtilities::CurveShapingBuilder::SetStartContinuity | ( | NXOpen::GeometricUtilities::Continuity::ContinuityTypes | startContinuity | ) |
Sets the continuity at start of the curve
Created in NX7.5.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
startContinuity | startcontinuity |
void NXOpen::GeometricUtilities::CurveShapingBuilder::SetWCSOption | ( | NXOpen::GeometricUtilities::CurveShapingBuilder::WCSOptionType | wcsOption | ) |
Sets the WCS option
Created in NX7.5.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
wcsOption | wcsoption |
NXOpen::SelectPointList* NXOpen::GeometricUtilities::CurveShapingBuilder::SpecifyPoints | ( | ) |
Returns the specified points to define insertion point locations
Created in NX7.5.0.
License requirements : None
NXOpen::GeometricUtilities::Continuity::ContinuityTypes NXOpen::GeometricUtilities::CurveShapingBuilder::StartContinuity | ( | ) |
Returns the continuity at start of the curve
Created in NX7.5.0.
License requirements : None
|
virtual |
Validate whether the inputs to the component are sufficient for commit to be called.
If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.
Implements NXOpen::GeometricUtilities::IComponentBuilder.
NXOpen::GeometricUtilities::CurveShapingBuilder::WCSOptionType NXOpen::GeometricUtilities::CurveShapingBuilder::WCSOption | ( | ) |
Returns the WCS option
Created in NX7.5.0.
License requirements : None